### YamlMime:ManagedReference
items:
- uid: OmiLAXR.xAPI.Extensions.Selectable_Ext
  commentId: T:OmiLAXR.xAPI.Extensions.Selectable_Ext
  id: Selectable_Ext
  parent: OmiLAXR.xAPI.Extensions
  children:
  - OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled(UnityEngine.UI.Selectable,System.Boolean)
  langs:
  - csharp
  - vb
  name: Selectable_Ext
  nameWithType: Selectable_Ext
  fullName: OmiLAXR.xAPI.Extensions.Selectable_Ext
  type: Class
  source:
    remote:
      path: Runtime/Extensions/Button_Ext.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: Selectable_Ext
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Extensions/Button_Ext.cs
    startLine: 5
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.xAPI.Extensions
  syntax:
    content: public static class Selectable_Ext
    content.vb: Public Module Selectable_Ext
  inheritance:
  - System.Object
- uid: OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled(UnityEngine.UI.Selectable,System.Boolean)
  commentId: M:OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled(UnityEngine.UI.Selectable,System.Boolean)
  id: SetDisabled(UnityEngine.UI.Selectable,System.Boolean)
  isExtensionMethod: true
  parent: OmiLAXR.xAPI.Extensions.Selectable_Ext
  langs:
  - csharp
  - vb
  name: SetDisabled(Selectable, bool)
  nameWithType: Selectable_Ext.SetDisabled(Selectable, bool)
  fullName: OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled(UnityEngine.UI.Selectable, bool)
  type: Method
  source:
    remote:
      path: Runtime/Extensions/Button_Ext.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: SetDisabled
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Extensions/Button_Ext.cs
    startLine: 7
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.xAPI.Extensions
  syntax:
    content: public static void SetDisabled(this Selectable selectable, bool flag)
    parameters:
    - id: selectable
      type: UnityEngine.UI.Selectable
    - id: flag
      type: System.Boolean
    content.vb: Public Shared Sub SetDisabled(selectable As Selectable, flag As Boolean)
  overload: OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled*
  nameWithType.vb: Selectable_Ext.SetDisabled(Selectable, Boolean)
  fullName.vb: OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled(UnityEngine.UI.Selectable, Boolean)
  name.vb: SetDisabled(Selectable, Boolean)
references:
- uid: OmiLAXR.xAPI.Extensions
  commentId: N:OmiLAXR.xAPI.Extensions
  href: OmiLAXR.html
  name: OmiLAXR.xAPI.Extensions
  nameWithType: OmiLAXR.xAPI.Extensions
  fullName: OmiLAXR.xAPI.Extensions
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Extensions
    name: Extensions
    href: OmiLAXR.xAPI.Extensions.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Extensions
    name: Extensions
    href: OmiLAXR.xAPI.Extensions.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled*
  commentId: Overload:OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled
  href: OmiLAXR.xAPI.Extensions.Selectable_Ext.html#OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled(UnityEngine.UI.Selectable,System.Boolean)
  name: SetDisabled
  nameWithType: Selectable_Ext.SetDisabled
  fullName: OmiLAXR.xAPI.Extensions.Selectable_Ext.SetDisabled
- uid: UnityEngine.UI.Selectable
  commentId: T:UnityEngine.UI.Selectable
  parent: UnityEngine.UI
  isExternal: true
  name: Selectable
  nameWithType: Selectable
  fullName: UnityEngine.UI.Selectable
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: UnityEngine.UI
  commentId: N:UnityEngine.UI
  isExternal: true
  name: UnityEngine.UI
  nameWithType: UnityEngine.UI
  fullName: UnityEngine.UI
  spec.csharp:
  - uid: UnityEngine
    name: UnityEngine
    isExternal: true
  - name: .
  - uid: UnityEngine.UI
    name: UI
    isExternal: true
  spec.vb:
  - uid: UnityEngine
    name: UnityEngine
    isExternal: true
  - name: .
  - uid: UnityEngine.UI
    name: UI
    isExternal: true
